public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/kotlin-bin/
Date: Thu, 28 Nov 2024 10:23:50 +0000 (UTC)	[thread overview]
Message-ID: <1732789427.7c93c6e87f00bc5fa4869b9422ad5ecc70821dea.xgqt@gentoo> (raw)

commit:     7c93c6e87f00bc5fa4869b9422ad5ecc70821dea
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 28 10:20:32 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Nov 28 10:23:47 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c93c6e8

dev-lang/kotlin-bin: bump to 2.1.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/kotlin-bin/Manifest                |  1 +
 dev-lang/kotlin-bin/kotlin-bin-2.1.0.ebuild | 59 +++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-lang/kotlin-bin/Manifest b/dev-lang/kotlin-bin/Manifest
index 4ac590f2be9f..e67508e40f56 100644
--- a/dev-lang/kotlin-bin/Manifest
+++ b/dev-lang/kotlin-bin/Manifest
@@ -1 +1,2 @@
 DIST kotlin-compiler-2.0.21.zip 85822011 BLAKE2B 007a3cb8902e5a12d883ede2ef670f821471c3273dc97d17935006e0dc35989fe540cbeaa0a8203fc95e05f2b36d95000a1e3ac11803c2723b1dfa361a102470 SHA512 0ab48b49fc3582274485eb5c65a6e5b5de9c45e9c2faafb0720bf07308af50d813eae6d73c57a56daed6b9fd5378d40ce701f14f13e3063bdb38c5d529eb7626
+DIST kotlin-compiler-2.1.0.zip 86409360 BLAKE2B 67fbdf3e074f44bfe7ee788b458d9ac9a2e0c4d471c312fd3e050df3e9a659994b5884b5d964603ee6b16e1e4f347b4e645245ce0aeb97beeacb250ba8ed83f7 SHA512 1c14213fc10543af09bc031274be7ef9b3cf1b5d0629de3fde731578e2d84d002ab9b3df90c0417d34eaabff7ea9501209e9323662a6c4eb5504f34fcb10c7f0

diff --git a/dev-lang/kotlin-bin/kotlin-bin-2.1.0.ebuild b/dev-lang/kotlin-bin/kotlin-bin-2.1.0.ebuild
new file mode 100644
index 000000000000..7e3629cfadfc
--- /dev/null
+++ b/dev-lang/kotlin-bin/kotlin-bin-2.1.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2 wrapper
+
+DESCRIPTION="Statically typed language that targets the JVM and JavaScript"
+HOMEPAGE="https://kotlinlang.org/
+	https://github.com/JetBrains/kotlin/"
+SRC_URI="https://github.com/JetBrains/kotlin/releases/download/v${PV}/kotlin-compiler-${PV}.zip"
+S="${WORKDIR}/kotlinc"
+
+LICENSE="Apache-2.0 BSD MIT NPL-1.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	>=virtual/jre-1.8:*
+"
+DEPEND="
+	>=virtual/jdk-1.8:*
+"
+BDEPEND="
+	app-arch/unzip
+"
+
+src_prepare() {
+	default
+
+	rm bin/*.bat || die
+}
+
+src_compile() {
+	:
+}
+
+src_install() {
+	java-pkg_dojar lib/*
+
+	# Follow the Java eclass JAR installation path.
+	local app_home="/usr/share/${PN}"
+
+	exeinto "${app_home}/bin"
+	doexe bin/*
+
+	local -a exes=(
+		kapt
+		kotlin
+		kotlinc
+		kotlinc-js
+		kotlinc-jvm
+		kotlin-dce-js
+	)
+	local exe
+	for exe in "${exes[@]}" ; do
+		make_wrapper "${exe}" "${app_home}/bin/${exe}"
+	done
+}


             reply	other threads:[~2024-11-28 10:23 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-28 10:23 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-24 10:29 [gentoo-commits] repo/gentoo:master commit in: dev-lang/kotlin-bin/ Maciej Barć
2025-03-24 10:29 Maciej Barć
2025-03-24 10:29 Maciej Barć
2025-01-27 14:51 Maciej Barć
2024-10-10 16:43 Maciej Barć
2024-10-10 16:43 Maciej Barć
2024-09-03 18:44 Maciej Barć
2024-09-03 18:44 Maciej Barć
2024-08-08 12:06 Maciej Barć
2024-08-08 12:06 Maciej Barć
2024-05-25 14:06 Maciej Barć
2024-05-25 14:06 Maciej Barć
2024-05-08 12:42 Maciej Barć
2024-04-11  1:38 Maciej Barć
2024-03-11 11:21 Maciej Barć
2024-01-21 20:47 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732789427.7c93c6e87f00bc5fa4869b9422ad5ecc70821dea.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox